from evotemailings.mailings import BaseMailing


class BaseMixin(BaseMailing):

    def get_subject(self):
        context = self.get_context_data()
        if 'subject' in context:
            return context['subject']
        return super(BaseMixin, self).get_subject()


class MessageMail(BaseMixin):
    """ """
    template_name = 'evotemessages/mails/message.html'


class MessageMailCopy(BaseMixin):
    """ """
    template_name = 'evotemessages/mails/message_copy.html'
