from __future__ import unicode_literals


class AuditableRegister(object):
    """ """
    _registry = []

    def add(self, model_class):
        self._registry.append(model_class)

    def check_if_auditable(self, model_class):
        return model_class in self._registry


audit_register = AuditableRegister()
